NumericTableCellRenderer

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.table.renderers.client
Class NumericTableCellRenderer

    java.lang.Object
      org.openswing.swing.table.renderers.client.NumericTableCellRenderer

All Implemented Interfaces:
  javax.swing.table.TableCellRenderer

Direct Known Subclasses:
  CurrencyTableCellRenderer

public class NumericTableCellRenderer
extends java.lang.Object
implements javax.swing.table.TableCellRenderer

Title: OpenSwing Framework

Description: Column renderer used to format a numeric type column.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Field Summary
`static java.lang.String` | `VALUE_UNKNOWN` representation of the "unknown value"; a value that is either of the wrong type or for which there is no available format

Constructor Summary

`NumericTableCellRenderer(int decimals, boolean grouping, boolean hideZeroDigits, GridController gridController, IntegerColumnSettings dynamicSettings, int alignement, int leftMargin, int rightMargin, int topMargin, int bottomMargin, java.lang.String attributeName)`
Constructor.

Method Summary
`void` | `finalize()`
`java.awt.Component` | `getTableCellRendererComponent(javax.swing.JTable table, java.lang.Object value, boolean isSelected, boolean hasFocus, int row, int column)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_UNKNOWN

    public static final java.lang.String VALUE_UNKNOWN

  representation of the "unknown value"; a value that is either of the wrong type or for which there is no available format

  See Also:
    Constant Field Values

Constructor Detail

### NumericTableCellRenderer

    public NumericTableCellRenderer(int decimals,
                                    boolean grouping,
                                    boolean hideZeroDigits,
                                    GridController gridController,
                                    IntegerColumnSettings dynamicSettings,
                                    int alignement,
                                    int leftMargin,
                                    int rightMargin,
                                    int topMargin,
                                    int bottomMargin,
                                    java.lang.String attributeName)

  Constructor.

Parameters:
  `decimals` - number of decimals
  `grouping` - flag used to enable grouping
  `hideZeroDigits` - flag used to define whether zero digits (after decimal point) must be hided/showed
  `gridController` - grid controller
  `dynamicSettings` - dynamic settings used to reset numeric editor properties for each grid row
  `attributeName` - attribute name associated to this column

Method Detail

### getTableCellRendererComponent

    public java.awt.Component getTableCellRendererComponent(javax.swing.JTable table,
                                                            java.lang.Object value,
                                                            boolean isSelected,
                                                            boolean hasFocus,
                                                            int row,
                                                            int column)

  Specified by:
    `getTableCellRendererComponent` in interface `javax.swing.table.TableCellRenderer`

### finalize

    public final void finalize()

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD